= breadcrumbs do |bc|
  - bc.with_crumb { link_to((@product_type.title||'Untitled'), admin_orders.product_type_path(@product_type)) }

.mb-4
  = v.tab_bar do |bar|
    - bar.with_tab label: 'Info',
      url: admin_orders.product_type_path(@product_type, view: nil),
      active: active(view: nil)
    - bar.with_tab label: 'Price',
      url: admin_orders.product_type_path(@product_type, view: 'price'),
      active: active(view: 'price')
    - bar.with_tab label: 'Shipping',
      url: admin_orders.product_type_path(@product_type, view: 'shipping'),
      active: active(view: 'shipping')
    - bar.with_tab label: 'Details',
      url: admin_orders.product_type_path(@product_type, view: 'details'),
      active: active(view: 'details')

= bootstrap_form_with(model: @product_type, url: admin_orders.product_type_path(@product_type)) do |form|
  = hidden_field_tag :view, params[:view] if params[:view]
  = form.alert_message "Please fix the errors below", error_summary: false

  - if params[:view].nil?
    .row
      .col= form.text_field :title
      .col= form.text_field :subtitle
    .row
      .col= form.text_field :category
      .col= form.text_field :description
    .row
      .col= form.file_field :image
      - if @product_type.image.attached?
        .mb-3
          = image_tag Rails.application.routes.url_helpers.rails_blob_path(@product_type.image, only_path: true), class: 'img-fluid'
    .row.mb-3
      .col
        = form.check_box :is_service
        .help-text Is this a recurring service?
      .col
        = form.check_box :is_active
        .help-text May this product type be ordered?
      .col
        = form.check_box :is_visible
        .help-text Is this product type visible to users?

  - if params[:view] == 'price'
    .row.mb-3
      .col
        = form.check_box :is_taxable
        .help-text Apply tax to the price?
    .row
      .col= form.select :quantity_type, ProductType.quantity_types.keys
    .row
      .col= form.number_field :price
      .col= form.number_field :value
      .col= form.select :currency, ["USD"]

  - if params[:view] == 'shipping'
    = form.select :inventory, ProductType.inventories.keys
    = form.check_box :is_shipping_required
    = form.check_box :is_assignment_required
    = form.collection_check_boxes :shippable_to, ship_to_options, :last, :first,
      include_hidden: false, layout: :horizontal, control_col: "d-flex flex-wrap row-gap-1 column-gap-4"
    .row
      .col= form.number_field :height
      .col= form.number_field :width
      .col= form.number_field :depth
      .col= form.select :distance_unit, ["cm"]
    .row
      .col= form.number_field :weight
      .col= form.select :mass_unit, ["kg"]

  - if params[:view] == 'details'
    = form.text_area :front_matter, help: 'Text that will appears at the start of invoices'
    = form.text_area :end_matter, help: 'Text that will appears at the end of invoices'
    = form.text_area :specification, rows: 6, help: 'Product details and specifications'

  .btn-toolbar
    = form.cancel admin_orders.product_types_path
    = form.save_button "Save"
